Bug 23856 - Split author and ISBN/ISSN out of citation in staged MARC record management
Summary: Split author and ISBN/ISSN out of citation in staged MARC record management
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL: /cgi-bin/koha/tools/manage-marc-impor...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-21 16:55 UTC by Owen Leonard
Modified: 2020-02-10 22:42 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 23856: Split author and ISBN/ISSN out of citation in staged MARC record management (4.51 KB, patch)
2019-10-21 17:13 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23856: Split author and ISBN/ISSN out of citation in staged MARC record management (4.56 KB, patch)
2020-01-27 01:44 UTC, David Nind
Details | Diff | Splinter Review
Bug 23856: Split author and ISBN/ISSN out of citation in staged MARC record management (4.61 KB, patch)
2020-01-27 22:01 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-10-21 16:55:19 UTC
On the "Manage staged MARC records" page the list of staged records currently displays the title (or authority heading), author, and ISBN/ISSN together in one link. I think this makes the information hard to parse. I propose to send author, ISBN, and ISSN as separate variables, and move some of the display logic into the DataTables configuration.
Comment 1 Owen Leonard 2019-10-21 17:13:25 UTC
Created attachment 94479 [details] [review]
Bug 23856: Split author and ISBN/ISSN out of citation in staged MARC record management

This patch modifies the way data is passed to the staged MARC record
management template, splitting author, ISBN, and ISSN out of the
"citation" variable and passing them separately.

The DataTables configuration for the staged MARC record management page
is modified so that those now-separate variables are conditionally
displayed.

Unrelated minor change: Added a class to the MARC preview modal so that
it displays wider.

To test, apply the patch and view the "Staged MARC management" page for
both batches of bibliographic records and batches of authority records.

In each case the title or authority heading should be displayed as a
link while author, ISBN, and ISSN (if any) should not.
Comment 2 David Nind 2020-01-27 01:44:07 UTC
Created attachment 97953 [details] [review]
Bug 23856: Split author and ISBN/ISSN out of citation in staged MARC record management

This patch modifies the way data is passed to the staged MARC record
management template, splitting author, ISBN, and ISSN out of the
"citation" variable and passing them separately.

The DataTables configuration for the staged MARC record management page
is modified so that those now-separate variables are conditionally
displayed.

Unrelated minor change: Added a class to the MARC preview modal so that
it displays wider.

To test, apply the patch and view the "Staged MARC management" page for
both batches of bibliographic records and batches of authority records.

In each case the title or authority heading should be displayed as a
link while author, ISBN, and ISSN (if any) should not.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2020-01-27 22:01:30 UTC
Created attachment 98005 [details] [review]
Bug 23856: Split author and ISBN/ISSN out of citation in staged MARC record management

This patch modifies the way data is passed to the staged MARC record
management template, splitting author, ISBN, and ISSN out of the
"citation" variable and passing them separately.

The DataTables configuration for the staged MARC record management page
is modified so that those now-separate variables are conditionally
displayed.

Unrelated minor change: Added a class to the MARC preview modal so that
it displays wider.

To test, apply the patch and view the "Staged MARC management" page for
both batches of bibliographic records and batches of authority records.

In each case the title or authority heading should be displayed as a
link while author, ISBN, and ISSN (if any) should not.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Martin Renvoize 2020-01-29 09:10:16 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Joy Nelson 2020-02-10 22:42:41 UTC
Enhancement not backported to 19.11.x